<script setup lang="ts">
import { RouterView } from 'vue-router'
import AppHeader from './components/AppHeader.vue'
import { useMessageStore } from './stores/message'

const messageStore = useMessageStore()
</script>

<template>
  <div class="min-h-screen min-w-full flex flex-col flex-grow">
    <AppHeader />
    <RouterView />
  </div>

  <div class="toast">
    <div
      class="alert alert-warning max-w-lg"
      v-for="message in messageStore.messages"
      :key="message.id"
    >
      <span class="whitespace-pre-wrap">{{ message.message }}</span>
    </div>
  </div>
</template>

<style scoped></style>
